org.apache.pdfbox.pdmodel.common.filespecification

## Class PDFileSpecification

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.filespecification.PDFileSpecification

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDComplexFileSpecification, PDSimpleFileSpecification

    public abstract class PDFileSpecification
    extends Object
    implements COSObjectable

This represents a file specification.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDFileSpecification()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static PDFileSpecification` `createFS(COSBase base)` A file specification can either be a COSString or a COSDictionary.
`abstract String` `getFile()` This will get the file name.
`abstract void` `setFile(String file)` This will set the file name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.pdmodel.common.COSObjectable

`getCOSObject`

### Constructor Detail

#### PDFileSpecification

    public PDFileSpecification()

### Method Detail

#### createFS

    public static PDFileSpecification createFS(COSBase base)
                                        throws IOException

A file specification can either be a COSString or a COSDictionary. This will create the file specification either way.

Parameters:
  `base` - The cos object that describes the fs.
Returns:
  The file specification for the COSBase object.
Throws:
  `IOException` - If there is an error creating the file spec.

#### getFile

    public abstract String getFile()

This will get the file name.

Returns:
  The file name.

#### setFile

    public abstract void setFile(String file)

This will set the file name.

Parameters:
  `file` - The name of the file.